import { Observable } from 'rxjs';
import { CallHandler, ExecutionContext, NestInterceptor } from '@nestjs/common';
export declare class OperationLoggerInterceptor implements NestInterceptor {
    private readonly options?;
    constructor(options?: {
        applyForHttpContext?: boolean | undefined;
        applyForRqmContext?: boolean | undefined;
    } | undefined);
    private readonly loggerName;
    private logger;
    protected logOperationHttpContext(context: ExecutionContext, action: string, error?: Error): void;
    protected logOperationRqmContext(context: ExecutionContext, action: string, error?: Error): void;
    private logOperationDefaultContext;
    protected logOperation(context: ExecutionContext, action: string, error?: Error): void;
    intercept(context: ExecutionContext, next: CallHandler): Observable<Error>;
}
//# sourceMappingURL=operationLogger.interceptor.d.ts.map