import { Observable } from 'rxjs';
import { CallHandler, ExecutionContext, NestInterceptor } from '@nestjs/common';
export declare class PrometheusLoggerInterceptor implements NestInterceptor {
    private readonly options?;
    constructor(options?: {
        applyForHttpContext?: boolean | undefined;
        applyForRqmContext?: boolean | undefined;
    } | undefined);
    private readonly loggerName;
    private logger;
    protected logMetricHttpContext(context: ExecutionContext, error: Error | null): void;
    protected logMetricRmqContext(context: ExecutionContext, error: Error | null): void;
    protected logMetric(context: ExecutionContext, error: Error | null): void;
    intercept(context: ExecutionContext, next: CallHandler): Observable<Error>;
}
//# sourceMappingURL=prometheusLogger.interceptor.d.ts.map