import { Cache } from 'cache-manager';
import { ICacheService } from './cache.interface';
export declare class CacheInMemoryService implements ICacheService {
    private readonly cache;
    constructor(cache: Cache);
    set<T>(key: string, value: T, ttlInSeconds?: number | undefined): Promise<void>;
    get<T>(key: string): Promise<T | undefined>;
    getOrSetIfNotFound<T>(key: string, getValueFunc: () => Promise<T> | T, ttlInSeconds?: number | undefined): Promise<T>;
}
//# sourceMappingURL=cacheInMemory.service.d.ts.map