"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCacheInMemoryServiceProvider = void 0;
const common_1 = require("@nestjs/common");
const cacheInMemory_service_1 = require("./cacheInMemory.service");
const createCacheInMemoryServiceProvider = ({ provideToken = cacheInMemory_service_1.CacheInMemoryService, }) => ({
    provide: provideToken,
    useFactory: (cache) => new cacheInMemory_service_1.CacheInMemoryService(cache),
    inject: [common_1.CACHE_MANAGER],
});
exports.createCacheInMemoryServiceProvider = createCacheInMemoryServiceProvider;
//# sourceMappingURL=cacheInMemoryService.provider.js.map