"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCarrierLoggerProvider = void 0;
const CarrierLogger_service_1 = require("./CarrierLogger.service");
const createCarrierLoggerProvider = ({ provideToken = CarrierLogger_service_1.CarrierLoggerService, trafficLogger, }) => ({
    provide: provideToken,
    useFactory: (trafficLogger) => new CarrierLogger_service_1.CarrierLoggerService(trafficLogger),
    inject: [trafficLogger],
});
exports.createCarrierLoggerProvider = createCarrierLoggerProvider;
//# sourceMappingURL=CarrierLogger.provider.js.map