import { Carrier } from '../../common';
import { ICmsService } from './cms.interface';
import { CarrierResponse } from './queries/carrier.query';
import { CarrierCredentials } from './queries/customerCarrierCredentials.query';
import { Webhook } from './queries/externalSystemsWebhooks';
export declare class CmsService implements ICmsService {
    private client;
    constructor(baseUrl: string, accessToken: string);
    getCustomerCarrierCredentials(customerId: string, carrier: Carrier): Promise<CarrierCredentials | null>;
    getCarrier(carrierId: Carrier): Promise<CarrierResponse | null>;
    getExternalSystemsWebhooks(): Promise<Webhook[]>;
}
//# sourceMappingURL=cms.service.d.ts.map