"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCachedCmsProvider = void 0;
const cmsCached_service_1 = require("./cmsCached.service");
const createCachedCmsProvider = ({ provideToken = cmsCached_service_1.CmsCachedService, cacheService, cacheTTL, cmsService, }) => ({
    provide: provideToken,
    useFactory: (cmsService, cacheService) => new cmsCached_service_1.CmsCachedService(cmsService, cacheService, cacheTTL),
    inject: [cmsService, cacheService],
});
exports.createCachedCmsProvider = createCachedCmsProvider;
//# sourceMappingURL=cmsCached.provider.js.map