import { InjectionToken, Provider } from '@nestjs/common';
import { ILabelService } from './label.interface';
export interface IS3LabelServiceProviderOptions {
    provideToken?: InjectionToken;
    awsAccessKeyId: string;
    awsSecretAccessKey: string;
    awsRegion: string;
    awsBucketName: string;
}
export declare const createS3LabelServiceProvider: ({ provideToken, awsAccessKeyId, awsBucketName, awsRegion, awsSecretAccessKey, }: IS3LabelServiceProviderOptions) => Provider<ILabelService>;
//# sourceMappingURL=s3LabelService.provider.d.ts.map