"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createS3LabelServiceProvider = void 0;
const s3Label_service_1 = require("./s3Label.service");
const createS3LabelServiceProvider = ({ provideToken = s3Label_service_1.S3LabelService, awsAccessKeyId, awsBucketName, awsRegion, awsSecretAccessKey, }) => ({
    provide: provideToken,
    useFactory: () => new s3Label_service_1.S3LabelService(awsAccessKeyId, awsSecretAccessKey, awsRegion, awsBucketName),
});
exports.createS3LabelServiceProvider = createS3LabelServiceProvider;
//# sourceMappingURL=s3LabelService.provider.js.map