import { Nack, RabbitSubscribe as RabbitSubscribeExternalDecorator } from '@golevelup/nestjs-rabbitmq';
import { IMessageEnvelope } from '../messages';
import { IRabbitMQMessageType } from '../rabbitmq.interface';
export type RabbitSubscribeConfig<TMessageType> = Omit<Parameters<typeof RabbitSubscribeExternalDecorator>[0], 'allowNonJsonMessages' | 'exchange' | 'routingKey'> & {
    messageTypeDefinition?: IRabbitMQMessageType<TMessageType>;
};
export declare function RabbitSubscribe<TMessageType>(config: RabbitSubscribeConfig<TMessageType>): (target: object, key: string | symbol, descriptor: TypedPropertyDescriptor<(message: IMessageEnvelope<TMessageType>, ...rest: any) => Promise<void | Nack>>) => void;
//# sourceMappingURL=rabbitSubscribe.d.ts.map