"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RabbitSubscribe = void 0;
const nestjs_rabbitmq_1 = require("@golevelup/nestjs-rabbitmq");
function RabbitSubscribe(config) {
    return (target, key, descriptor) => {
        const rabbitSubscribeConfig = Object.assign(Object.assign({}, config), { allowNonJsonMessages: true });
        (0, nestjs_rabbitmq_1.RabbitSubscribe)(rabbitSubscribeConfig)(target, key, descriptor);
    };
}
exports.RabbitSubscribe = RabbitSubscribe;
//# sourceMappingURL=rabbitSubscribe.js.map