import { Carrier } from '../../../common';
import { IRabbitMQMessageWithPatternDefinition, IRabbitMQMessageDefinition, IRabbitMQMessageRpcDefinition } from '../rabbitmq.interface';
import { IHealthStatusMessage } from './healthStatus.interface';
import { IOrderCancelMessage } from './orderCancel.interface';
import { IOrderCreateMessage } from './orderCreate.interface';
import { IOrderGetByIdMessage, IOrderGetByIdResponse } from './orderGetById.interface';
import { IOrderUpdateMessage } from './orderUpdate.interface';
import { IOutputErrorMessage } from './outputError.interface';
import { ITrackingMessage } from './tracking.interface';
export declare const getCancelOrderMessageDefinition: () => IRabbitMQMessageWithPatternDefinition<IOrderCancelMessage>;
export declare const getNewOrderMessageDefinition: (carrierId: Carrier) => IRabbitMQMessageWithPatternDefinition<IOrderCreateMessage>;
export declare const getSaveOrderMessageDefinition: () => IRabbitMQMessageWithPatternDefinition<IOrderCreateMessage>;
export declare const getUpdateOrderMessageDefinition: () => IRabbitMQMessageWithPatternDefinition<IOrderUpdateMessage>;
export declare const getHealthStatusMessageDefinition: () => IRabbitMQMessageWithPatternDefinition<IHealthStatusMessage>;
export declare const getHealthCheckMessageDefinition: () => IRabbitMQMessageWithPatternDefinition<null>;
export declare const getTrackingMessageDefinition: (carrierId: Carrier) => IRabbitMQMessageWithPatternDefinition<ITrackingMessage>;
export declare const getTrackingRequeueMessageDefinition: (carrierId: Carrier) => IRabbitMQMessageWithPatternDefinition<ITrackingMessage>;
export declare const getOutputOrderStatusMessageDefinition: () => IRabbitMQMessageWithPatternDefinition<ITrackingMessage>;
export declare const getOutputPrintMessageDefinition: () => IRabbitMQMessageWithPatternDefinition<ITrackingMessage>;
export declare const getOutputErrorMessageDefinition: () => IRabbitMQMessageWithPatternDefinition<IOutputErrorMessage>;
export declare const getOrderGetByIdMessageDefinition: () => IRabbitMQMessageRpcDefinition<IOrderGetByIdMessage, IOrderGetByIdResponse>;
export declare const getCarrierOrderCreateFailedMessageDefinition: (carrierId: Carrier) => IRabbitMQMessageDefinition<IOrderCreateMessage>;
export declare const getOrderSaveFailedMessageDefinition: () => IRabbitMQMessageDefinition<IOrderCreateMessage | IOrderUpdateMessage>;
//# sourceMappingURL=messageDefinitions.d.ts.map