"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRabbitMQProvider = void 0;
const nestjs_rabbitmq_1 = require("@golevelup/nestjs-rabbitmq");
const rabbitmq_service_1 = require("./rabbitmq.service");
const createRabbitMQProvider = ({ provideToken = rabbitmq_service_1.RabbitMQService, rabbitMqServiceOptions }) => ({
    provide: provideToken,
    useFactory: (connection) => new rabbitmq_service_1.RabbitMQService(connection, rabbitMqServiceOptions),
    inject: [nestjs_rabbitmq_1.AmqpConnection],
});
exports.createRabbitMQProvider = createRabbitMQProvider;
//# sourceMappingURL=rabbitmq.provider.js.map