"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createOutputQueueName = exports.createHealthStatusQueueName = exports.createOrderCreateFailedQueueName = exports.createOrderGetByIdQueueName = exports.createOrderSaveQueueName = exports.createCarrierCreateOrderQueueName = exports.createCarrierTrackingQueueName = exports.createCarrierHealthCheckQueueName = exports.createRoutingKey = void 0;
const types_1 = require("./types");
const createRoutingKey = (prefix, suffix) => `${prefix.toLowerCase()}${suffix ? `-${suffix.toLowerCase()}` : ''}`;
exports.createRoutingKey = createRoutingKey;
const createCarrierHealthCheckQueueName = (carrier) => `${types_1.RabbitMQQueuesKeyWord.HealthCheck}-${carrier.toLowerCase()}`;
exports.createCarrierHealthCheckQueueName = createCarrierHealthCheckQueueName;
const createCarrierTrackingQueueName = (carrier) => `${types_1.RabbitMQQueuesKeyWord.Tracking}-${carrier.toLowerCase()}`;
exports.createCarrierTrackingQueueName = createCarrierTrackingQueueName;
const createCarrierCreateOrderQueueName = (carrier) => `${types_1.RabbitMQQueuesKeyWord.Order}-${carrier.toLowerCase()}`;
exports.createCarrierCreateOrderQueueName = createCarrierCreateOrderQueueName;
const createOrderSaveQueueName = () => `${types_1.RabbitMQQueuesKeyWord.Order}-save`;
exports.createOrderSaveQueueName = createOrderSaveQueueName;
const createOrderGetByIdQueueName = () => `${types_1.RabbitMQQueuesKeyWord.Order}-get-by-id`;
exports.createOrderGetByIdQueueName = createOrderGetByIdQueueName;
const createOrderCreateFailedQueueName = (carrier) => `${types_1.RabbitMQQueuesKeyWord.Order}-${carrier.toLowerCase()}-failed`;
exports.createOrderCreateFailedQueueName = createOrderCreateFailedQueueName;
const createHealthStatusQueueName = () => `${types_1.RabbitMQQueuesKeyWord.HealthStatus}`;
exports.createHealthStatusQueueName = createHealthStatusQueueName;
const createOutputQueueName = () => `${types_1.RabbitMQQueuesKeyWord.Output}`;
exports.createOutputQueueName = createOutputQueueName;
//# sourceMappingURL=utils.js.map