"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MissingCustomerCarrierCredentialsException = void 0;
class MissingCustomerCarrierCredentialsException extends Error {
    constructor(customerId, carrier) {
        super(`Customer ${customerId} doesn't have credentials for ${carrier}`);
    }
}
exports.MissingCustomerCarrierCredentialsException = MissingCustomerCarrierCredentialsException;
//# sourceMappingURL=missingCustomerCarrierCredentialsException.js.map