import { Observable } from 'rxjs';
import { CallHandler, ExecutionContext, NestInterceptor } from '@nestjs/common';
export declare class SentryInterceptor implements NestInterceptor {
    private readonly options?;
    constructor(options?: {
        applyForHttpContext?: boolean | undefined;
        applyForRqmContext?: boolean | undefined;
    } | undefined);
    private readonly loggerName;
    private logger;
    protected captureExceptionHttpContext(context: ExecutionContext, error: Error): void;
    protected captureExceptionRqmContext(context: ExecutionContext, error: Error): void;
    protected captureException(context: ExecutionContext, exception: Error): void;
    intercept(context: ExecutionContext, next: CallHandler): Observable<Error>;
}
//# sourceMappingURL=sentry.interceptor.d.ts.map