"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.metricHttpContextEndpoints = exports.metricRmqContext = exports.metricHttpContext = void 0;
const prom_client_1 = require("prom-client");
exports.metricHttpContext = new prom_client_1.Counter({
    name: 'rest_api_counter',
    help: 'REST API counter',
    labelNames: ['code', 'controller', 'method'],
});
exports.metricRmqContext = new prom_client_1.Counter({
    name: 'message_counter',
    help: 'Message counter',
    labelNames: ['result', 'operation'],
});
exports.metricHttpContextEndpoints = new prom_client_1.Counter({
    name: 'rest_api_endpoint_counter',
    help: 'REST API endpoint counter',
    labelNames: ['method', 'originalUrl', 'statusCode'],
});
//# sourceMappingURL=prometheusCounters.js.map