export interface ICacheService {
    set<T>(key: string, value: T, ttlInSeconds?: number | null): Promise<void>;
    get<T>(key: string): Promise<T | undefined>;
    getOrSetIfNotFound<T>(key: string, geValueFunc: () => Promise<T>, ttlInSeconds?: number | null): Promise<T>;
}
//# sourceMappingURL=cache.interface.d.ts.map