import { ITrafficLogger } from '../trafficLogger/TrafficLogger.interface';
import { ICarrierLogger } from './CarrierLogger.interface';
export declare class CarrierLoggerService implements ICarrierLogger {
    private readonly logger;
    constructor(logger: ITrafficLogger);
    logGetPackageStatus(requestHeaders?: object, requestBody?: string, responseHeaders?: object, responseBody?: string): Promise<void>;
    logGetPackageLabel(requestHeaders?: object, requestBody?: string, responseHeaders?: object): Promise<void>;
    logCreateNewOrder(requestHeaders?: object, requestBody?: string, responseHeaders?: object, responseBody?: string): Promise<void>;
}
//# sourceMappingURL=CarrierLogger.service.d.ts.map