import { InjectionToken, Provider } from '@nestjs/common';
import { ICmsService } from './cms.interface';
export interface ICachedCmsProviderOptions {
    provideToken?: InjectionToken;
    cmsService: InjectionToken;
    cacheService: InjectionToken;
    cacheTTL?: number;
}
export declare const createCachedCmsProvider: ({ provideToken, cacheService, cacheTTL, cmsService, }: ICachedCmsProviderOptions) => Provider<ICmsService>;
//# sourceMappingURL=cmsCached.provider.d.ts.map