"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RabbitRPC = void 0;
const nestjs_rabbitmq_1 = require("@golevelup/nestjs-rabbitmq");
function RabbitRPC(config) {
    return (target, key, descriptor) => {
        const rabbitSubscribeConfig = Object.assign(Object.assign({}, config), { allowNonJsonMessages: true });
        (0, nestjs_rabbitmq_1.RabbitRPC)(rabbitSubscribeConfig)(target, key, descriptor);
    };
}
exports.RabbitRPC = RabbitRPC;
//# sourceMappingURL=rabbitRpc.js.map