"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ackErrorHandlerWithPublish = void 0;
const ackErrorHandlerWithPublish = (config) => (channel, msg) => {
    const { exchange, routingKey } = config;
    channel.publish(exchange, routingKey, msg.content);
    channel.ack(msg);
};
exports.ackErrorHandlerWithPublish = ackErrorHandlerWithPublish;
//# sourceMappingURL=ackErrorHandlerWithPublish.js.map