import { AmqpConnection } from '@golevelup/nestjs-rabbitmq';
import { InjectionToken } from '@nestjs/common';
import { IRabbitMQServiceOptions } from './rabbitmq.interface';
import { RabbitMQService } from './rabbitmq.service';
export interface IRabbitMQProviderOptions {
    provideToken?: InjectionToken;
    rabbitMqServiceOptions?: IRabbitMQServiceOptions;
}
export declare const createRabbitMQProvider: ({ provideToken, rabbitMqServiceOptions }: IRabbitMQProviderOptions) => {
    provide: InjectionToken;
    useFactory: (connection: AmqpConnection) => RabbitMQService;
    inject: (typeof AmqpConnection)[];
};
//# sourceMappingURL=rabbitmq.provider.d.ts.map