"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RabbitMQPattern = exports.RabbitMQQueuesKeyWord = exports.RabbitMQRoutingKey = exports.RabbitMQExchange = void 0;
var RabbitMQExchange;
(function (RabbitMQExchange) {
    RabbitMQExchange["HealthCheck"] = "health-check";
    RabbitMQExchange["HealthStatus"] = "health-status";
    RabbitMQExchange["Order"] = "order";
    RabbitMQExchange["Tracking"] = "tracking";
    RabbitMQExchange["TrackingRequeue"] = "requeue";
})(RabbitMQExchange = exports.RabbitMQExchange || (exports.RabbitMQExchange = {}));
var RabbitMQRoutingKey;
(function (RabbitMQRoutingKey) {
    RabbitMQRoutingKey["Order"] = "order";
    RabbitMQRoutingKey["OrderSave"] = "order-save";
    RabbitMQRoutingKey["OrderTracking"] = "tracking";
    RabbitMQRoutingKey["OrderUpdate"] = "status-update";
    RabbitMQRoutingKey["OrderFailed"] = "order-failed";
    RabbitMQRoutingKey["OrderSaveFailed"] = "order-save-failed";
    RabbitMQRoutingKey["OrderCancel"] = "order-cancel";
    RabbitMQRoutingKey["HealthStatus"] = "health-status";
    RabbitMQRoutingKey["HealthCheck"] = "health-check";
    RabbitMQRoutingKey["PrintLabel"] = "print-label";
    RabbitMQRoutingKey["OrderStatusOutput"] = "output";
    RabbitMQRoutingKey["OutputError"] = "output-error";
    RabbitMQRoutingKey["GetById"] = "order-get-by-id";
})(RabbitMQRoutingKey = exports.RabbitMQRoutingKey || (exports.RabbitMQRoutingKey = {}));
var RabbitMQQueuesKeyWord;
(function (RabbitMQQueuesKeyWord) {
    RabbitMQQueuesKeyWord["HealthCheck"] = "health-check";
    RabbitMQQueuesKeyWord["HealthStatus"] = "health-status";
    RabbitMQQueuesKeyWord["Order"] = "order";
    RabbitMQQueuesKeyWord["Tracking"] = "tracking";
    RabbitMQQueuesKeyWord["Output"] = "output";
})(RabbitMQQueuesKeyWord = exports.RabbitMQQueuesKeyWord || (exports.RabbitMQQueuesKeyWord = {}));
var RabbitMQPattern;
(function (RabbitMQPattern) {
    RabbitMQPattern["Order"] = "ORDER_SAVE";
    RabbitMQPattern["OrderSave"] = "ORDER_SAVE";
    RabbitMQPattern["OrderUpdate"] = "ORDER_UPDATE";
    RabbitMQPattern["OrderFailed"] = "ORDER_FAILED";
    RabbitMQPattern["OrderDelay"] = "ORDER_DELAY";
    RabbitMQPattern["OrderCancel"] = "ORDER_CANCEL";
    RabbitMQPattern["Output"] = "OUTPUT";
    RabbitMQPattern["OutputError"] = "OUTPUT_ERROR";
    RabbitMQPattern["HealthCheck"] = "HEALTH_CHECK";
    RabbitMQPattern["HealthStatus"] = "HEALTH_STATUS";
    RabbitMQPattern["Tracking"] = "TRACKING";
    RabbitMQPattern["Print"] = "PRINT";
})(RabbitMQPattern = exports.RabbitMQPattern || (exports.RabbitMQPattern = {}));
//# sourceMappingURL=types.js.map